Page MenuHomePhabricator

[Epic] Support Express Checkout recurring donations
Closed, ResolvedPublic

Description

Add API fields and controller logic for recurring contributions.

Event Timeline

awight created this task.May 4 2016, 9:46 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 4 2016, 9:46 PM
awight changed the point value for this task from 2 to 4.
awight added a comment.EditedMay 6 2016, 4:52 AM

The recurring workflow looks bad and is confusing. We're going to need some hand holding if we expect to progress beyond the magic parameters level.

This is as good as could get it for now:
First screen:

Second screen (pt 1):

Second screen (below the fold):

Problems I've noticed:

  • There is no clear explanation of the billing terms. The only place "Monthly" is mentioned is in the text we provide.
  • The second screen doesn't add any more information about the subscription, or emphasize that it is not one-time.
  • The OK button on the second page is below the fold.
  • The page style is not consistent with one-time Express Checkout.
awight added a comment.May 6 2016, 4:53 AM

@Ppena you might want to take a look at the comment above...

awight claimed this task.May 9 2016, 7:58 PM

I got some helpful feedback from Marshal C, case #3207220, but we're still in about the same position as before, just better informed. Making a one-time donation plus a subscription that starts in a month is indeed the semi-official workaround. The workflow is segmented in various ways, and the Express Checkout "new" workflow is not fully rolled out. This means that Marshal was able to get to the new recurring workflow using *exactly* the same API string that gave me the older workflow. Hopefully, the live servers will give us another chance to hit the new workflow, because we at least have to test it before risking donors potentially getting into that workflow before us.

In other words, let's go ahead with internal testing for what we have now, and evaluate how that behaves.

Note to self: Marshal had me remove the ITEMCATEGORY param, make that change in code.

Change 288253 had a related patch set uploaded (by Awight):
Stop sending item category

https://gerrit.wikimedia.org/r/288253

Change 287036 merged by jenkins-bot:
PayPal Express Checkout: recurring

https://gerrit.wikimedia.org/r/287036

Change 288253 merged by jenkins-bot:
Stop sending item category

https://gerrit.wikimedia.org/r/288253

Kicking back into the backlog--recurring subscriptions failed during the feasibility test, so we need to investigate and fix the issues.

One of our Japanese testers tried this method on the 25th, here is a screenshot of what the attempt looks like @ PayPal, fyi. Nothing reached Civi from this.

awight renamed this task from Implement Express Checkout recurring donations to [Epic] Support Express Checkout recurring donations.Jul 7 2016, 1:08 AM
awight added a subscriber: DStrine.Jul 7 2016, 1:12 AM

@DStrine
Let's ice this one until after ActiveMQ?

Danny_B renamed this task from [Epic] Support Express Checkout recurring donations to Support Express Checkout recurring donations.Jul 7 2016, 8:14 PM
Danny_B added a project: Epic.
awight renamed this task from Support Express Checkout recurring donations to [Epic] Support Express Checkout recurring donations.Jul 7 2016, 8:17 PM
awight removed the point value for this task.Jul 7 2016, 8:44 PM

We still need to feed a real recurring charge (first and second!) through, and record exactly what data comes back in through the listener and audit parser.

We're never reaching the CreateRecurringPaymentsProfile call, so the recurring flag is absent in the response processor.

awight added a comment.Mar 2 2017, 1:04 AM

We're still getting the old workflow when creating a recurring subscription. Need to talk to our rep again.

DStrine removed awight as the assignee of this task.Jun 22 2017, 9:05 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM
Ejegg closed this task as Resolved.Feb 26 2019, 6:33 PM
Ejegg claimed this task.
Ejegg added a subscriber: Ejegg.

We've been receiving these for a while now